PomReader
Date: 2014-12-13

org.apache.ivy.plugins.parser.m2

## Class PomReader

- java.lang.Object
- - org.apache.ivy.plugins.parser.m2.PomReader

-     public class PomReader
      extends java.lang.Object

  Provides the method to read some data out of the DOM tree of a pom file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PomReader.PomDependencyData`
    `class` | `PomReader.PomDependencyMgtElement`
    `class` | `PomReader.PomPluginElement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PomReader(java.net.URL descriptorURL, Resource res)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArtifactId()`
    `java.util.List` | `getDependencies()`
    `java.util.List` | `getDependencyMgt()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getGroupId()`
    `java.lang.String` | `getHomePage()`
    `License[]` | `getLicenses()`
    `java.lang.String` | `getPackaging()`
    `java.lang.String` | `getParentArtifactId()`
    `java.lang.String` | `getParentGroupId()`
    `java.lang.String` | `getParentVersion()`
    `java.util.List` | `getPlugins()`
    `java.util.Map` | `getPomProperties()`
    `ModuleRevisionId` | `getRelocation()`
    `java.lang.String` | `getVersion()`
    `boolean` | `hasParent()`
    `void` | `setProperty(java.lang.String prop, java.lang.String val)` Add a property if not yet set and value is not null.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PomReader

          public PomReader(java.net.URL descriptorURL,
                   Resource res)
                    throws java.io.IOException,
                           org.xml.sax.SAXException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

  - ### Method Detail

    - #### hasParent

          public boolean hasParent()

    - #### setProperty

          public void setProperty(java.lang.String prop,
                         java.lang.String val)

      Add a property if not yet set and value is not null. This garantee that property keep the first value that is put on it and that the properties are never null.

    - #### getGroupId

          public java.lang.String getGroupId()

    - #### getParentGroupId

          public java.lang.String getParentGroupId()

    - #### getArtifactId

          public java.lang.String getArtifactId()

    - #### getParentArtifactId

          public java.lang.String getParentArtifactId()

    - #### getVersion

          public java.lang.String getVersion()

    - #### getParentVersion

          public java.lang.String getParentVersion()

    - #### getPackaging

          public java.lang.String getPackaging()

    - #### getHomePage

          public java.lang.String getHomePage()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getLicenses

          public License[] getLicenses()

    - #### getRelocation

          public ModuleRevisionId getRelocation()

    - #### getDependencies

          public java.util.List getDependencies()

    - #### getDependencyMgt

          public java.util.List getDependencyMgt()

    - #### getPlugins

          public java.util.List getPlugins()

    - #### getPomProperties

          public java.util.Map getPomProperties()

      Returns:
        the content of the properties tag into the pom.